Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Mark

Pages: 1 2 [3]
31
Setup & Installation / Re: eCS 2.1 yum update urlgrabber problem
« on: July 30, 2014, 10:40:41 pm »
Done.  And thanks.

32
Setup & Installation / Re: eCS 2.1 yum update urlgrabber problem
« on: July 30, 2014, 07:39:29 pm »
That doesn't appear to have fixed my problem....


{1}[d:\home] yum update urlgrabber
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named urlgrabber

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.6 (default, Apr  7 2014, 18:19:49)
[GCC 4.7.3]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://yum.baseurl.org/wiki/Faq


Directory contents....


Directory of D:\usr\lib\python2.7\site-packages

 7-30-14 12:36p         <DIR>    124 a---  .
 4-07-14 11:27a         <DIR>    124 a---  ..
 4-07-14 11:22a           119    124 a---  README
 7-29-14  3:47p         <DIR>    124 a---  rpm
 7-18-14 12:58p         <DIR>    124 a---  rpmUtils
 8-18-09 10:26a         2,510    124 a---  sqlitecachec.py
 4-07-14 11:28a         2,226    124 a---  sqlitecachec.pyc
 4-07-14 11:28a         2,226    124 a---  sqlitecachec.pyo
 7-30-14 12:33p         <DIR>    124 ----  URLGRABBER
11-20-10 10:25a         2,279    124 a---  urlgrabber-3.1.0-py2.6.egg-info
 7-18-14 12:58p         <DIR>    124 a---  yum
 4-07-14 11:28a           213    124 a---  yum_metadata_parser-1.1.4-py2.7.egg-i
nfo
 4-07-14 11:28a        38,828    124 a---  _sqlitec.pyd

And the urlgrabber directory contents....

Directory of D:\usr\lib\python2.7\site-packages\urlgrabber

 7-30-14 12:33p         <DIR>    124 ----  .
 7-30-14 12:36p         <DIR>    124 a---  ..
 7-20-06  3:15p        17,157    124 a---  byterange.py
11-20-10 10:25a        16,819    124 a---  byterange.pyc
 9-21-06  7:58p        56,807    124 a---  grabber.py
11-20-10 10:25a        53,142    124 a---  grabber.pyc
 9-21-06  7:58p        21,089    124 a---  keepalive.py
11-20-10 10:25a        21,432    124 a---  keepalive.pyc
 2-22-06 12:26p        18,069    124 a---  mirror.py
11-20-10 10:25a        17,066    124 a---  mirror.pyc
 8-19-05  4:59p        18,235    124 a---  progress.py
11-20-10 10:25a        20,057    124 a---  progress.pyc
 9-21-06  7:58p         3,099    124 a---  sslfactory.py
11-20-10 10:25a         3,168    124 a---  sslfactory.pyc
 9-21-06  7:58p         2,259    124 a---  __init__.py
11-20-10 10:25a         1,675    124 a---  __init__.pyc
       16 file(s)     270,074 bytes used
                  378,111,057 K bytes free

Got any other ideas?

-Mark




33
Setup & Installation / eCS 2.1 yum update urlgrabber problem
« on: July 30, 2014, 04:47:14 pm »
I updated yum recently using the yum update yum command.  That worked fine.

Now a week later I try the command again and I get...

{0}[d:\home] yum update
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named urlgrabber

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.6 (default, Apr  7 2014, 18:19:49)
[GCC 4.7.3]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://yum.baseurl.org/wiki/Faq


This seems like a catch 22, I can't install urlgrabber without having urlgrabber.  How might I go about getting this fixed?

There is a rpm command that suggests that I can download the urlgrabber package and install it.  If true, which urlgrabber package and where might I get it?

Other easier ways to fix this problem?

Thanks,
Mark V

34
Dave,

Thanks.  I'll do just that.

35
Martin,

From your git install there were a few additional packages that appear to have been installed too.  But my install just installed git.  I manually requested all the others except for the libcc package in the theory that I've already included it as a warpin install. I'll double check later.

Once all are installed, the clone works as intended.

I haven't updated yum in a while, I'll do that very soon.  Perhaps I have an older yum installed.

Thanks very much for your help in all of its forms.

regards,
Mark

36
Martin,

Unfortunately all this didn't work for me.  I've confirmed the config settings by git config --list and I have all three settings in my config.

Since you didn't have to perform any other steps than what I performed, I must be holding my mouth wrong or something.

I can try uninstall git and reinstall it.  Perhaps the original install didn't go as well as I had thought.

regards,
Mark

37
Programming / GitHub Repository - Public OS/2 Source Code - access
« on: July 17, 2014, 07:18:55 pm »
Martin,

I've read the intro for Git on EDM/2 (Using Git under eComStation, http://www.edm2.com/index.php/Using_Git_under_eComStation). 

When I try to check out the same sample listed  in the intro, I get a certificate error.

[D:\git\util-wps-bubblepad]git clone https://github.com/OS2World/UTIL-WPS-Bubble
pad.git
Cloning into UTIL-WPS-Bubblepad...
error: error setting certificate verify locations:
  CAfile: /@unixroot/etc/pki/tls/certs/ca-bundle.crt
  CApath: none
 while accessing https://github.com/OS2World/UTIL-WPS-Bubblepad.git/info/refs

fatal: HTTP request failed

I'm sure I'm just missing some other setup requirements.  If you or someone could share that information, I would appreciate it.

Secondary question regarding checking in updates...   Do we allow just anyone to check in updates or is there a security configuration/procedure that needs to happen with the repository so developers can get update access?

I'm looking forward to working with the repository.

regards,
Mark Vollmer

Pages: 1 2 [3]